<template>
    <div class="modal-wrapper" ref="modal-wrapper">
        <div class="modal-full-product">
            <div class="modal-full-product_header">
                <span>Подробиці:</span>
                <span>
                <i
                    class="material-icons"
                    @click="closeModal"
                    style="cursor: pointer"
                >
                    close
                </i>
            </span>
            </div>
            <div class="modal-full-product_content">
                <slot></slot>
            </div>
            <div class="modal-full-product_footer">
                <button @click="addToBasketFull" class="btn btn-sm btn-success">Додати до кошика</button>
                <button @click="closeModal"class="btn btn-sm btn-danger">Закрити</button>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "ModalFullProduct",
    methods: {
        closeModal() {
            this.$emit('closeModal');
        },
        addToBasketFull() {
            this.$emit('addToBasketFull');
        },
    },
    mounted() {
        let vm = this;
         document.addEventListener('click', function (item) {
             if(item.target === vm.$refs['modal-wrapper']) {
                 vm.closeModal();
             }
         })
    },
}
</script>

<style lang="scss">
    .modal-wrapper {
        background: rgba(64, 64, 64, .4);
        display: flex;
        justify-content: center;
        align-items: center;
        position: fixed;
        right: 0;
        left: 0;
        top: 0;
        bottom: 0;
        width: 100vw;
        height: 100vh;
        z-index: 10;
    }

    .modal-full-product {
        padding: 16px;
        position: fixed;
        top: 50px;
        z-index: 3;
        width: 500px;
        height: 600px;
        background: #ffffff;
        box-shadow: 0 0 17px 0 #e7e7e7;
        &_header {
            display: flex;
            justify-content: space-between;
            align-items: center;
         }
        .submit-button {
            padding: 8px;
            color: black;
            background-color: rgba(30,255,48,0.67);
        }
        .close-button {
            padding: 8px;
            color: black;
            background-color: red;
        }
    }
</style>
